
package fortuna.entropySources.system;

/**
 *
 * @author Viliam Krizan
 */
import fortuna.entropySources.EntropySource;
import java.security.SecureRandom;


public class SystemES extends EntropySource{
    
    SecureRandom random = new SecureRandom();
    byte[] randomData = new byte[10];
    
    
    public SystemES(){
    }
        
    
    @Override
    public void run(){
        super.run();
        while(running){
            randomData = random.generateSeed(10);
            acumulator.saveToPool(randomData, actualPool);
            poolCounterIncrement();
        }
        
    }
}
